Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1658773 (CVE-2018-19539) - CVE-2018-19539 jasper: access violation in jas_image_readcmpt() in jas_image.c
Summary: CVE-2018-19539 jasper: access violation in jas_image_readcmpt() in jas_image.c
Keywords:
Status: NEW
Alias: CVE-2018-19539
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1658774 1658775 1658776 1660965 1660969 1660974
Blocks: 1658799
TreeView+ depends on / blocked
 
Reported: 2018-12-12 20:34 UTC by Laura Pardo
Modified: 2020-12-17 10:03 UTC (History)
11 users (show)

Fixed In Version: jasper 2.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Laura Pardo 2018-12-12 20:34:20 UTC
An issue was discovered in JasPer 2.0.14. There is an access violation in the function jas_image_readcmpt in libjasper/base/jas_image.c, leading to a denial of service. 


References:
https://github.com/mdadams/jasper/issues/182

Comment 1 Laura Pardo 2018-12-12 20:35:55 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1658774]


Created mingw-jasper tracking bugs for this issue:

Affects: epel-7 [bug 1658776]
Affects: fedora-all [bug 1658775]

Comment 4 Tomas Hoger 2020-12-11 14:12:10 UTC
Upstream commit:

https://github.com/jasper-software/jasper/commit/243749e5a6384acdb9f0a59515c0b85dfd62bd5b

Fixed upstream in jasper 2.0.15.


Note You need to log in before you can comment on or make changes to this bug.